Cines/Models/PeliculaDocumental.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Web;



namespace Cines.Models
{
    public class PeliculaDocumental : Pelicula
    {
        [ForeignKey("Tema")]
        public int? TemaId { get; set; }
        public Tema Tema { get; set; }

    }

}

Cines/Controllers/PeliculaDocumentalController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using Cines.DAL;
using Cines.Filtros;
using Cines.Models;

namespace Cines.Controllers
{
    public class PeliculaDocumentalController : Controller
    {
        private CineContext db = new CineContext();

        // GET: PeliculaDocumental/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            var pel = db.Peliculas.Find(id);
            var tipo = new PeliculaDocumental();

            if (pel == null || pel.GetType() != tipo.GetType())
            {
                ViewBag.MensajeError = "La pelicula ingresada no pertenece a la categoria o no existe";
                return View("ErrorPelicula");
            }

            PeliculaDocumental PeliculaDocumental = (PeliculaDocumental)pel;
            PeliculaDocumental.Tema = db.Temas.Find(PeliculaDocumental.TemaId);
            if (PeliculaDocumental == null)
            {
                return HttpNotFound();
            }

            var funciones = db.Funciones
                .Include(fu => fu.Sala)
                .Where(fu => fu.PeliculaId == id);


            var listaFunciones = funciones.ToList();

            ViewBag.funciones = listaFunciones.OrderBy(f=>f.Horario);

            return View(PeliculaDocumental);
        }

        [AuthFilter]
        public ActionResult Create()
        {
            var temas = db.Temas.ToList();
            ViewBag.Temas = temas;


            return View();
        }

        // POST: PeliculaDocumental/Create
        // Para protegerse de ataques de publicación excesiva, habilite las propiedades específicas a las que desea enlazarse. Para obtener 
        // más información vea https://go.microsoft.com/fwlink/?LinkId=317598.
        [AuthFilter]
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create(PeliculaDocumental PeliculaDocumental)
        {
            if(PeliculaDocumental.DuracionMinutos<1 || PeliculaDocumental.DuracionMinutos > 360)
            {
                ViewBag.MensajeError = "La duracion debe estar entre 1-360 minutos";
                return View("ErrorPelicula");
            }

            var name = DateTime.Now.ToString("yyyyMMddHHmmss");

            PeliculaDocumental.ImageUrl = "~/Recursos/Imagenes/" + name + PeliculaDocumental.Imagen.FileName;
            PeliculaDocumental.Imagen.SaveAs(Server.MapPath("~/Recursos/Imagenes") + "/" + name + PeliculaDocumental.Imagen.FileName);

            if (ModelState.IsValid)
            {
                db.Peliculas.Add(PeliculaDocumental);
                db.SaveChanges();
                return RedirectToAction("Index", "Peliculas");
            }

            return View(PeliculaDocumental);
        }

        // GET: PeliculaDocumental/Delete/5
        [AuthFilter]
        public ActionResult Delete(int? id)
        {
            var pel = db.Peliculas.Find(id);
            var tipo = new PeliculaDocumental();

            if (pel == null || pel.GetType() != tipo.GetType())
            {
                ViewBag.MensajeError = "La pelicula ingresada no pertenece a la categoria o no existe";
                return View("ErrorPelicula");
            }

            PeliculaDocumental PeliculaDocumental = (PeliculaDocumental)pel;
            if (PeliculaDocumental == null)
            {
                return HttpNotFound();
            }

            //Se que se repite, pero es para agregar más seguridad
            var funciones = db.Funciones.ToList();

            foreach (var f in funciones)
            {
                if (f.PeliculaId == id)
                {
                    ViewBag.MensajeError = "La pelicula esta en cartelera, por lo que no puede eliminarse";
                    return View("ErrorPelicula");
                }
            }

            return View(PeliculaDocumental);
        }

        // POST: PeliculaDocumental/Delete/5
        [AuthFilter]
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            var pel = db.Peliculas.Find(id);
            var tipo = new PeliculaDocumental();

            if (pel == null || pel.GetType() != tipo.GetType())
            {
                ViewBag.MensajeError = "La pelicula ingresada no pertenece a la categoria o no existe";
                return View("ErrorPelicula");
            }

            PeliculaDocumental PeliculaDocumental = (PeliculaDocumental)pel;
            String UrlImagen = PeliculaDocumental.ImageUrl;


            //Asumo que hay que eliminar la imagen. Si se quisiera mantener, quizás porque varias películas pudieran llegar a repetir, se puede poner que busque 
            //en la base y solo elimine si ningúna otra tiene ese path en su campo, o que si está repetida se guarde como nombre2

            System.IO.File.Delete(Server.MapPath(UrlImagen));

            db.Peliculas.Remove(PeliculaDocumental);
            db.SaveChanges();
            return RedirectToAction("Index", "Peliculas");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

Cines/Views/PeliculaDocumental/Create.cshtml
@model Cines.Models.PeliculaDocumental

@{
    ViewBag.Title = "Create";
}

<h2>Create</h2>


@using (Html.BeginForm("Create", "PeliculaDocumental", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()

    <div class="form-horizontal">
        <h4>PeliculaDocumental</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.Nombre, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Nombre, new { htmlAttributes = new { @class = "form-control", required = "required", maxlength = "60" } })
                @Html.ValidationMessageFor(model => model.Nombre, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.DuracionMinutos, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.DuracionMinutos, new { htmlAttributes = new { @class = "form-control", min = "1", max = "360" } })
                @Html.ValidationMessageFor(model => model.DuracionMinutos, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Sinopsis, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Sinopsis, new { htmlAttributes = new { @class = "form-control", maxlength = "500" } })
                @Html.ValidationMessageFor(model => model.Sinopsis, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.TemaId, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <select name="TemaId">
                    @foreach (var t in ViewBag.Temas)
                    {
                        <option value="@t.Id">@t.Nombre</option>
                    }
                </select>
            </div>
        </div>



        <div class="form-group">
            @Html.LabelFor(model => model.Imagen, htmlAttributes: new { @class = "control-label col-md-2" })
            @Html.TextBoxFor(model => model.Imagen, new { Type = "File", required = "required" })
            @Html.ValidationMessageFor(model => model.Imagen)
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Crear" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    <a href="/Peliculas/Create">Volver</a>
</div>

@section Scripts {
    @Scripts.Render("~/bundles/jqueryval")
}

Cines/Views/PeliculaDocumental/Delete.cshtml
@model Cines.Models.PeliculaDocumental

@{
    ViewBag.Title = "Delete";
}

<h2>ELIMINAR</h2>

<h3>¿Está seguro de que desea eliminar la película?</h3>
<div>
    <hr />
    <dl class="dl-horizontal">
        <dd>
            <img src="@Url.Content(Model.ImageUrl)" alt="Image" />
        </dd>
        <dt>
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Nombre)
        </dd>

        <dt>
            Duración (minutos)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DuracionMinutos)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Tema)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Tema.Nombre)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Sinopsis)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Sinopsis)
        </dd>

    </dl>

    @using (Html.BeginForm()) {
        @Html.AntiForgeryToken()

        <div class="form-actions no-color">
            <input type="submit" value="Eliminar" class="btn btn-default" /> |
            <a href="/Peliculas">Volver</a>
        </div>
    }
</div>

Cines/Views/PeliculaDocumental/Details.cshtml
@model Cines.Models.PeliculaDocumental

@{
    ViewBag.Title = "Details";
}

<h2>DETALLE</h2>

<div>
    <h4>Pelicula Documental</h4>
    <hr />
    <dl class="dl-horizontal">

        <dd>
            <img src="@Url.Content(Model.ImageUrl)" alt="Image" height="600" width="500"/>
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Nombre)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Nombre)
        </dd>

        <dt>
            Duración (minutos)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.DuracionMinutos)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Tema)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Tema.Nombre)
        </dd>

        <dt>
            @Html.DisplayNameFor(model => model.Sinopsis)
        </dt>

        <dd>
            @Html.DisplayFor(model => model.Sinopsis)
        </dd>

    </dl>
</div>

<hr />
<h3 style="text-align:center">Funciones</h3>


<table class="table" style="table-layout:fixed;width:100%">
    <tr>
        <th>
            Cine
        </th>
        <th>
            Sala
        </th>
        <th>
            Horario
        </th>
    </tr>

    @foreach (var fun in ViewBag.Funciones)
    {
        {
            <tr>
                <td width="25%">
                    @fun.Sala.CineId
                </td>
                <td width="25%">
                    @fun.Sala.Numero
                </td>
                <td width="50%">
                    @fun.Horario
                </td>
            </tr>
        }
    }

</table>


<p>
    <a href="/Peliculas">Volver</a>
</p>